<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysUser">
        <id column="id_" property="id" />
        <result column="username_" property="username" />
        <result column="password_" property="password" />
        <result column="salt_" property="salt" />
        <result column="phone_" property="phone" />
        <result column="avatar_" property="avatar" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="lock_flag_" property="lockFlag" />
        <result column="del_flag_" property="delFlag" />
        <result column="wx_openid_" property="wxOpenid" />
        <result column="qq_openid_" property="qqOpenid" />
        <result column="user_type_" property="userType" />
        <result column="gender_" property="gender" />
        <result column="nation_" property="nation" />
        <result column="birthdate_" property="birthdate" />
        <result column="email_" property="email" />
        <result column="organ_id_" property="organId" />
        <result column="im_token_" property="imToken" />
        <result column="id_card_no_" property="idCardNo" />
        <result column="esign_id_" property="esignId" />
        <result column="wechat_id_" property="wechatId" />
        <result column="real_name_" property="realName" />

    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, username_, password_, salt_, phone_, avatar_, create_time_, update_time_, lock_flag_, del_flag_, wx_openid_, qq_openid_, user_type_, gender_, nation_, birthdate_, email_, organ_id_, im_token_, id_card_no_, esign_id_, wechat_id_,real_name_
    </sql>

</mapper>
